<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\HonorarBescheinigung\HonorarBescheinigungDialog;

class HonorarBescheinigungDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new HonorarBescheinigungDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new HonorarBescheinigungDialogViewModel();
    $viewModel->jahrOptionen = $this->useCaseResponse->jahrOptionen;

    return $viewModel;
  }
}